# Uses of Class
org.opensaml.xmlsec.context.SecurityParametersContext

Packages that use SecurityParametersContext
Package
Description
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.
org.opensaml.saml.saml2.assertion.messaging.impl
Implementation classes related to networking and messaging APIs that support validating SAML 2 Assertions.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.xmlsec.context
Message context classes for XML Security.
org.opensaml.xmlsec.messaging.impl
Message handlers for XML Security functionality.

## Uses of SecurityParametersContext in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl with type parameters of type SecurityParametersContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SecurityParametersContext>`
PopulateDecryptionParameters.`securityParametersContextLookupStrategy`
Strategy used to look up the `SecurityParametersContext` to set the parameters for.
`private Function<ProfileRequestContext,SecurityParametersContext>`
PopulateSignatureValidationParameters.`securityParametersContextLookupStrategy`
Strategy used to look up the `SecurityParametersContext` to set the parameters for.
Method parameters in org.opensaml.profile.action.impl with type arguments of type SecurityParametersContext
Modifier and Type
Method
Description
`void`
PopulateDecryptionParameters.`setSecurityParametersContextLookupStrategy(Function<ProfileRequestContext,SecurityParametersContext> strategy)`
Set the strategy used to look up the `SecurityParametersContext` to set the parameters for.
`void`
PopulateSignatureValidationParameters.`setSecurityParametersContextLookupStrategy(Function<ProfileRequestContext,SecurityParametersContext> strategy)`
Set the strategy used to look up the `SecurityParametersContext` to set the parameters for.

## Uses of SecurityParametersContext in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl with type parameters of type SecurityParametersContext
Modifier and Type
Field
Description
`private Function<MessageContext,SecurityParametersContext>`
PopulateSignatureSigningParametersHandler.`existingParametersContextLookupStrategy`
Strategy used to look up an existing `SecurityParametersContext` to copy.
`private Function<MessageContext,SecurityParametersContext>`
PopulateSignatureSigningParametersHandler.`securityParametersContextLookupStrategy`
Strategy used to look up the `SecurityParametersContext` to set the parameters for.
Method parameters in org.opensaml.saml.common.binding.impl with type arguments of type SecurityParametersContext
Modifier and Type
Method
Description
`void`
PopulateSignatureSigningParametersHandler.`setExistingParametersContextLookupStrategy(Function<MessageContext,SecurityParametersContext> strategy)`
Set the strategy used to look up an existing `SecurityParametersContext` to copy instead of actually resolving the parameters to set.
`void`
PopulateSignatureSigningParametersHandler.`setSecurityParametersContextLookupStrategy(Function<MessageContext,SecurityParametersContext> strategy)`
Set the strategy used to look up the `SecurityParametersContext` to set the parameters for.

## Uses of SecurityParametersContext in org.opensaml.saml.common.profile.impl

Fields in org.opensaml.saml.common.profile.impl with type parameters of type SecurityParametersContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SecurityParametersContext>`
PopulateSignatureSigningParameters.`existingParametersContextLookupStrategy`
Strategy used to look up an existing `SecurityParametersContext` to copy.
`private Function<ProfileRequestContext,SecurityParametersContext>`
PopulateSignatureSigningParameters.`securityParametersContextLookupStrategy`
Strategy used to look up the `SecurityParametersContext` to set the parameters for.
`private Function<ProfileRequestContext,SecurityParametersContext>`
SignAssertions.`securityParametersLookupStrategy`
Strategy used to locate the `SecurityParametersContext` to use for signing.
Method parameters in org.opensaml.saml.common.profile.impl with type arguments of type SecurityParametersContext
Modifier and Type
Method
Description
`void`
PopulateSignatureSigningParameters.`setExistingParametersContextLookupStrategy(Function<ProfileRequestContext,SecurityParametersContext> strategy)`
Set the strategy used to look up an existing `SecurityParametersContext` to copy instead of actually resolving the parameters to set.
`void`
PopulateSignatureSigningParameters.`setSecurityParametersContextLookupStrategy(Function<ProfileRequestContext,SecurityParametersContext> strategy)`
Set the strategy used to look up the `SecurityParametersContext` to set the parameters for.
`void`
SignAssertions.`setSecurityParametersLookupStrategy(Function<ProfileRequestContext,SecurityParametersContext> strategy)`
Set the strategy used to locate the `SecurityParametersContext` to use.

## Uses of SecurityParametersContext in org.opensaml.saml.saml2.assertion.messaging.impl

Fields in org.opensaml.saml.saml2.assertion.messaging.impl with type parameters of type SecurityParametersContext
Modifier and Type
Field
Description
`private Function<InOutOperationContext,SecurityParametersContext>`
DefaultAssertionValidationContextBuilder.`securityParametersLookupStrategy`
Resolver for security parameters context.
Methods in org.opensaml.saml.saml2.assertion.messaging.impl that return types with arguments of type SecurityParametersContext
Modifier and Type
Method
Description
`Function<InOutOperationContext,SecurityParametersContext>`
DefaultAssertionValidationContextBuilder.`getSecurityParametersLookupStrategy()`
Get the strategy by which to resolve a `SecurityParametersContext`.
Method parameters in org.opensaml.saml.saml2.assertion.messaging.impl with type arguments of type SecurityParametersContext
Modifier and Type
Method
Description
`void`
DefaultAssertionValidationContextBuilder.`setSecurityParametersLookupStrategy(Function<InOutOperationContext,SecurityParametersContext> strategy)`
Set the strategy by which to resolve a `SecurityParametersContext`.

## Uses of SecurityParametersContext in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type SecurityParametersContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SecurityParametersContext>`
DefaultAssertionValidationContextBuilder.`securityParametersLookupStrategy`
Deprecated.
Resolver for security parameters context.
`private Function<ProfileRequestContext,SecurityParametersContext>`
AbstractDecryptAction.`securityParamsLookupStrategy`
Strategy used to locate the `SecurityParametersContext`.
Methods in org.opensaml.saml.saml2.profile.impl that return types with arguments of type SecurityParametersContext
Modifier and Type
Method
Description
`Function<ProfileRequestContext,SecurityParametersContext>`
DefaultAssertionValidationContextBuilder.`getSecurityParametersLookupStrategy()`
Deprecated.
Get the strategy by which to resolve a `SecurityParametersContext`.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type SecurityParametersContext
Modifier and Type
Method
Description
`void`
AbstractDecryptAction.`setSecurityParametersContextLookupStrategy(Function<ProfileRequestContext,SecurityParametersContext> strategy)`
Set the strategy used to locate the `SecurityParametersContext` associated with a given `ProfileRequestContext`.
`void`
DefaultAssertionValidationContextBuilder.`setSecurityParametersLookupStrategy(Function<ProfileRequestContext,SecurityParametersContext> strategy)`
Deprecated.
Set the strategy by which to resolve a `SecurityParametersContext`.

## Uses of SecurityParametersContext in org.opensaml.xmlsec.context

Methods in org.opensaml.xmlsec.context that return SecurityParametersContext
Modifier and Type
Method
Description
`SecurityParametersContext`
SecurityParametersContext.`setDecryptionParameters(DecryptionParameters params)`
Set the parameters to use for XML decryption operations.
`SecurityParametersContext`
SecurityParametersContext.`setEncryptionParameters(EncryptionParameters params)`
Set the parameters to use for XML encryption operations.
`SecurityParametersContext`
SecurityParametersContext.`setSignatureSigningParameters(SignatureSigningParameters params)`
Set the parameters to use for XML signature signing operations.
`SecurityParametersContext`
SecurityParametersContext.`setSignatureValidationParameters(SignatureValidationParameters params)`
Set the parameters to use for XML signature validation operations.

## Uses of SecurityParametersContext in org.opensaml.xmlsec.messaging.impl

Fields in org.opensaml.xmlsec.messaging.impl with type parameters of type SecurityParametersContext
Modifier and Type
Field
Description
`private Function<MessageContext,SecurityParametersContext>`
PopulateSignatureValidationParametersHandler.`securityParametersContextLookupStrategy`
Strategy used to look up the `SecurityParametersContext` to set the parameters for.
Method parameters in org.opensaml.xmlsec.messaging.impl with type arguments of type SecurityParametersContext
Modifier and Type
Method
Description
`void`
PopulateSignatureValidationParametersHandler.`setSecurityParametersContextLookupStrategy(Function<MessageContext,SecurityParametersContext> strategy)`
Set the strategy used to look up the `SecurityParametersContext` to set the parameters for.